Skip to main content
Operations Management/Tenant Management (Plus)/Project Operations
POSTProject OperationsSince 2.4.0SynchronousAuth Required

CreateIAM2ProjectFromTemplate

CreateIAM2ProjectFromTemplate

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • templateUuidStringRequired

    模板UUID。

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • resourceUuidString

      Optional.

    • roleUuidsList

      Optional.

    • organizationUuidString

      Optional. The organization UUID.

    • tagUuidsList

      Optional. The tag UUID.

    • resourceTemplatesList

      Optional. The resource templates.

    • linkAccountUuidString

      Optional. The linked sub-account UUID. If left blank, the system auto-generates one.

  • systemTagsList

    Optional.

  • userTagsList

    Optional.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryIAM2ProjectInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • linkedAccountUuidStringRequired

      关联账户UUID。

    • stateProjectStateRequired

      See state.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • attributesListRequired

      See attributes.

      • uuidStringRequired

        The resource UUID.

      • nameStringRequired

        The resource name.

      • valueStringRequired

        字段值。

      • typeAttributeTypeRequired

        See type.

        • nameStringRequired

          The resource name.

        • ordinalintRequired

          No description provided.

Endpoint

POST/zstack/v1/iam2/projects/from/templates/{templateUuid}

/zstack/v1/iam2/projects/from/templates/{templateUuid}

Operation ID

CreateIAM2ProjectFromTemplate

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/iam2/projects/from/templates/{templateUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","resourceUuid":"<resourceUuid>","roleUuids":["<roleUuids>"],"organizationUuid":"<organizationUuid>","tagUuids":["<tagUuids>"],"resourceTemplates":["<resourceTemplates>"],"linkAccountUuid":"<linkAccountUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "c6c6a122eb564cbd9db2f779fe355d21", "name": "project", "state": "Enabled" } }

Change History

This API has no change history records yet.

View all change history